- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_volume_clone – NetApp Element Software Create Volume Clone

New in version 2.7.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Create volume clones on Element OS

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1
- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
access - | Choices: readOnly readWrite locked replicationTarget | Access allowed for the volume. If unspecified, the access settings of the clone will be the same as the source. readOnly - Only read operations are allowed. readWrite - Reads and writes are allowed. locked - No reads or writes are allowed. replicationTarget - Identify a volume as the target volume for a paired set of volumes. If the volume is not paired, the access status is locked.
account_id - / required |  | Account ID for the owner of this cloned volume. id may be a numeric identifier or an account name.
attributes - |  | A YAML dictionary of attributes that you would like to apply on this cloned volume.
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
name - / required |  | The name of the clone.
password - / required |  | Password for the specified user. aliases: pass
size - |  | The size of the cloned volume in (size_unit).
size_unit - | Choices: bytes b kb mb gb ← tb pb eb zb yb | The unit used to interpret the size parameter.
src_snapshot_id - |  | The id of the snapshot to clone. id may be a numeric identifier or a snapshot name.
src_volume_id - / required |  | The id of the src volume to clone. id may be a numeric identifier or a volume name.
username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Clone Volume
      na_elementsw_volume_clone:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        name: CloneAnsibleVol
        src_volume_id: 123
        src_snapshot_id: 41
        account_id: 3
        size: 1
        size_unit: gb
        access: readWrite
        attributes: {"virtual_network_id": 12345}

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.